rte_compressdev_data(3)

NAME
rte_compressdev_data

SYNOPSIS

#include <rte_compressdev_internal.h>

  Data Fields

uint8_t dev_id
int socket_id
char name [RTE_COMPRESSDEV_NAME_MAX_LEN]
__extension__ uint8_t dev_started: 1
void ** queue_pairs
uint16_t nb_queue_pairs
void * dev_private

Detailed Description

The data part, with no function pointers, associated with each device.

This structure is safe to place in shared memory to be common among different processes in a multi-process configuration.

Definition at line 99 of file rte_compressdev_internal.h.

Field Documentation

  uint8_t dev_id
Compress device identifier

Definition at line 100 of file rte_compressdev_internal.h.

  int socket_id
Socket identifier where memory is allocated

Definition at line 102 of file rte_compressdev_internal.h.

  char name[RTE_COMPRESSDEV_NAME_MAX_LEN]
Unique identifier name

Definition at line 104 of file rte_compressdev_internal.h.

  __extension__ uint8_t dev_started
Device state: STARTED(1)/STOPPED(0)

Definition at line 108 of file rte_compressdev_internal.h.

  void** queue_pairs
Array of pointers to queue pairs.

Definition at line 111 of file rte_compressdev_internal.h.

  uint16_t nb_queue_pairs
Number of device queue pairs

Definition at line 113 of file rte_compressdev_internal.h.

  void* dev_private
PMD-specific private data

Definition at line 116 of file rte_compressdev_internal.h.

Author

Generated automatically by Doxygen for DPDK from the source code.